/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
*
*/
package net.northking.cctp.device.dto.engineInfo;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.*;
import java.io.Serializable;

/**
* Restful接口--更新资源--数据传输对象：执行引擎信息表
*
* createdate:  2022-09-28 14:47:46  <br>
* @author:  maven-cctp-plugin  <br>
* @since:  1.0 <br>
*/
@JsonSerialize
@ApiModel(description = "执行引擎信息表")
public class CdEngineInfoUpdateDto implements Serializable
{
    /**
     * 主键id<br>
     */
    @ApiModelProperty("主键id")
    @Size(max = 32, message="主键id-id: 数据长度不能 > 32" )
    private String id;
    /**
     * 引擎名称<br>
     */
    @ApiModelProperty("引擎名称")
    @Size(max = 50, message="引擎名称-engineName: 数据长度不能 > 50" )
    private String engineName;


    /**
     * 引擎版本<br>
     */
    @ApiModelProperty("引擎版本")
    @Size(max = 255, message="引擎版本-runningRelease: 数据长度不能 > 255" )
    private String runningRelease;

    /**
     * 启用/禁用<br>
     */
    @ApiModelProperty("启用/禁用")
    private Boolean enabled;
    /**
     * 引擎状态<br>
     */
    @ApiModelProperty("引擎状态")
    @Size(max = 1, message="引擎状态-engineStatus: 数据长度不能 > 1" )
    private String engineStatus;
    /**
     * 引擎描述<br>
     */
    @ApiModelProperty("引擎描述")
    @Size(max = 255, message="引擎描述-engineDesc: 数据长度不能 > 255" )
    private String engineDesc;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getEngineName() {
        return engineName;
    }

    public void setEngineName(String engineName) {
        this.engineName = engineName;
    }

    public String getRunningRelease() {
        return runningRelease;
    }

    public void setRunningRelease(String runningRelease) {
        this.runningRelease = runningRelease;
    }

    public Boolean getEnabled() {
        return enabled;
    }

    public void setEnabled(Boolean enabled) {
        this.enabled = enabled;
    }

    public String getEngineStatus() {
        return engineStatus;
    }

    public void setEngineStatus(String engineStatus) {
        this.engineStatus = engineStatus;
    }

    public String getEngineDesc() {
        return engineDesc;
    }

    public void setEngineDesc(String engineDesc) {
        this.engineDesc = engineDesc;
    }
}